Bug 78424 - -i does not bind send socket correctly
Summary: -i does not bind send socket correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: traceroute   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 18:18 UTC by Jason Kohles
Modified: 2015-03-05 01:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-22 18:19:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for 7.3 version (1.4a12) (954 bytes, patch)
2002-11-22 18:19 UTC, Jason Kohles
no flags Details | Diff

Description Jason Kohles 2002-11-22 18:18:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The traceroute on red hat 7.3 and 8.0 is broken. It does not process the -i
option correctly. Instead of binding the send socket to the interface, it simply
sources the packets from the interface address.

The traceroute package on 7.3 is broken outright. The 8.0 version includes a
loose source routing patch that has the correct setsockopt() call, however large
protions of the patch are commented out, including the correct setsockopt()
statement.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
strace traceroute -i eth1 foo

Additional info:

Comment 1 Jason Kohles 2002-11-22 18:19:03 UTC
Created attachment 86073 [details]
patch for 7.3 version (1.4a12)

Comment 2 Phil Knirsch 2002-11-26 17:22:34 UTC
OK, patch reviewed, looks ok. Built a rawhide version of with it.

Read ya, Phil



Note You need to log in before you can comment on or make changes to this bug.